Bug 86476 - CONTEXT MENU: No icons in sheet context menu
Summary: CONTEXT MENU: No icons in sheet context menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta2
Keywords:
Depends on:
Blocks: Tango-Icon-Theme
  Show dependency treegraph
 
Reported: 2014-11-20 00:49 UTC by Yousuf Philips (jay)
Modified: 2017-05-27 13:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-11-20 00:49:08 UTC
When you right-click on a sheet, the context menu doesnt have icons for sheet operations like insert, rename, delete, protect, etc. and it would be useful to have them to easily sift through the list.
Comment 1 Joel Madero 2014-11-20 06:41:03 UTC
Sounds fine. Marking as NEW.
Comment 2 Yousuf Philips (jay) 2014-11-24 06:11:46 UTC
Patch is in - https://gerrit.libreoffice.org/#/c/13087/
Comment 3 Commit Notification 2014-11-24 20:45:17 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df633ac5487fd566fbf526808bb015112bd38e77

fdo#86476 add icons to sheet management menu and context menu entries

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-11-25 16:51:18 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c5eabdaf72ea996e202a6de1801b2bd681a1fba&h=libreoffice-4-4

fdo#86476 add icons to sheet management menu and context menu entries

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Mike §chinagl 2014-12-20 22:17:20 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

The right-click context menu that appear for managing sheets now has icons for sheet operations.